.question{
    background-color: #fefefe;
    border-radius: 8px;
    box-shadow: 0 2px 12px rgba(0,0,0,0.4);
    color: #29292e;
    padding: 24px;

    & + .question{
        margin-top: 8px; //toda vez que uma questioin vem seguida por outra question quero que essa de um espaçamaento de 8px
    }

    &.highlighted{
        background: #f4f0ff;
        border: 1px solid #835afd;
        
        footer .user-info span{
            color: #29292e;
        }
    }

    &.answered{
        background:#DBDCDD ;
    }
    p{
        color: #29292e;
        font-size: 15px;
        margin-bottom: 20px;
    }

    footer{
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 24;
    }

    .user-info{
        display: flex;
        align-items: center;

        img{
            width: 32px;
            height: 32px;
            border-radius: 50%;
        }
        span{
            margin-left: 8px;
            color: #737380;
            font-size:14px ;
        }
    }
    
  

    button{
        border: 0;
        margin: 5px;
        background: transparent;
        cursor: pointer;
        transition: 0.2;

        &.like-button{
            display: flex;
            align-items: flex-end;
            color: #737380;
            gap: 8px;
            

            &.liked{
                color: #835afd;
                
                svg path{
                    stroke: #835afd;
                }
            }
        }

        &:hover{
            filter: brightness(0.7);
        }
    }

}